# Mesure Réseau Interaction

## Question 1

## Question 2
1. nombre de noeud : 317080
2. nombre d'arêtes : 1049866
3. degrés moyen : 6.62208890914917
4. coefficient de clustering : 0.6324308280637396

__Quel sera le coefficient de clustering pour un réseau aléatoire de la même taille et du même degré moyen ?__

Le coeficient sera a peu près le même car le coefficient de clustering se base essentiellement sur la formation de triangle entre les sommets et donc du degrés des sommets, il est donc normal de se dire que le coefficients sera semblable si le degrés moyen du graph est le même.

## Question 3
1. le graphe est connexe ? : Oui

__Un réseau aléatoire de la même taille et degré moyen sera-t-il connexe ?__

Il ne sera pas forcement connexe. car il se peut qu'une sommet tout seul puisse avoir un degrés = 0, car nous somme sur une moyenne de degrés.

__À partir de quel degré moyen un réseau aléatoire avec cette taille devient connexe ?__

si le degrés moyenne est de n-1 donc a se moment la le graph sera forcement connexe.

##Question 4

![](src/main/resources/dd_dblp.png)

##Question 5

__L'hypothèse des six degrés de séparation se confirme-t-elle ?__

Oui l'hypothèse ce confirme, via des echantillonages effectuer dans ce graph. 

__Est-ce qu'il s'agit d'un réseau petit monde ?__

Il s'agit probalement d'un petit monde, car la distance moyenne entre toutes paire de sommets est faible, et que le niveau de clustering est élevé.

__Quelle sera la distance moyenne dans un réseau aléatoire avec les mêmes caractéristiques ?__

La distance moyenne dans un reseau aléatoire de même caractéristique serais de log(317080) soit environ 5.5.

![](petit_monde.png)

__Les résultats expérimentaux correspondent-ils aux prédictions théoriques ?__

1. nombre de noeud : 317080
2. nombre d'arêtes : 1108187
3. degrés moyen : 6.989907741546631
4. coefficient de clustering : 4.216820233004107E-4
5. connexe : oui
6. simulation de la moyenne des taille des chemins entre 2 sommets : 5.768

Les résultat sont en accord sur nos prédiction sauf le coeficient de clustering qui est bien plus petit que celui d'origine.


c'est très proche de notre réseau de collaboration a l'exception encore du coéficient de clustering, on sait donc que sur ce graphe peu de triangle existe par rapport au nombre de voisin vu la tout petit valeur de coeficient.


# Tp propagation

## Quel est le taux de propagation du virus ? 
- beta = 1/7 -> "en moyenne un individu envoie un mail a tout ses colaborateurs une fois par semaine"
- mu ~= 1/14 -> "en moyenne un individu nétoie son ordi 2 fois par mois"
- lamda = beta / mu = 2

donc le taux de propagation est de 2

## Quel est le seuil épidémique du réseau ? 

- lambdaC = \<k\>/\<k x k\>
- lambdaC = 6.62/144

## Comparez avec le seuil théorique d'un réseau aléatoire du même degré moyen.

- lambdaC = \<k\>/\<k x k\>
qui ici on part du principe que k = 6.62 pour tout les noeuds donc ici \<k x k\> = \<k\> x \<k\>
- lambdaC = 6.62/43.82

## Pour chacun des trois scénarios, tracez l'évolution de la fraction d'infectés de la population non immunisée. Que peut-on conclure ?

![](out/epi2.png)

On peut en conclure que sans immunisation, le taux d'infection se stabilise à 80% environ, 
lorsque que l'on commence à immuniser aléatoirement des personnes le taux qui se stabilise stagne à 21%
et quand on commence à immuniser les personnes par selection, le taux est extrêmement bas à environ 7%

## Pour justifier l'efficacité de l'immunisation sélective, calculez le degré moyen des groupes 0 et 1. Comment expliquez-vous la différence ?

moyenne de degrés du groupe 0 -> 6.663334174340861

moyenne de degrés du groupe 1 -> 15.870155427928832

je sais pas.

## Du point de vue du virus l'immunisation d'un nœud est équivalente à sa suppression du réseau. Calculez le seuil épidémique du réseau modifié pour chacune des deux stratégies d'immunisation et comparez avec le seuil épidémique du réseau initial.

seuil épidémique g0 \<kg0\>/\<kg0kg0\> = 6.62/144

seuil épidémique g1 \<kg1\>/\<kg1kg1\> = 15.86/585.34

## Simulez l'épidémie avec les mêmes hypothèses et les mêmes scénarios dans un réseau aléatoire et un réseau généré avec la méthode d'attachement préférentiel de la même taille et le même degré moyen. Comparez et commentez les résultats.

![](out/epi2_random.png)

On remarque que sur un graphe aléatoire, le poucentage d'infecter est superieur que sur notre graphe, mais que le pic d'infectation se produit plus tard.
        